<?php
/**
 * @version    $version 1.0.0 Peter Wouda  $
 * @copyright    Copyright (C) 2018 Noordoost.nl Heerenveen / The Netherlands. All rights reserved.
 * @license    GNU/GPL, see LICENSE.php
 * Updated    30 january 2018
 *
 * Email: peterwouda@noordoost.nl
 *
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 *
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

jimport('joomla.plugin.plugin');

class plgSystemGoogleAnalyticsNoordoost extends JPlugin
{
    function plgGoogleAnalyticsNoordoost(&$subject, $config)
    {
        parent::__construct($subject, $config);
        $this->_plugin = JPluginHelper::getPlugin('system', 'GoogleAnalyticsNoordoost');
        $this->_params = new JParameter($this->_plugin->params);
    }

    function onAfterRender()
    {
        
        $trackerCode = $this->params->get('code', '');
        $anonimizeIP = $this->params->get('anonimize_ip', '');
        
        $javascript = '';
        $app = JFactory::getApplication();

        if ($app->isAdmin()) {
            return;
        }

        $buffer = JResponse::getBody();


        $javascript .= "<!-- Global site tag (gtag.js) - Google Analytics by Noordoost.nl -->
        <script async src=\"https://www.googletagmanager.com/gtag/js?id=" . $trackerCode . "\"></script>
        <script>
          window.dataLayer = window.dataLayer || [];
          function gtag(){dataLayer.push(arguments);}
          gtag('js', new Date());";
          
          if ($anonimizeIP) { 
            $javascript .= " gtag('config', '" . $trackerCode . "', { 'anonymize_ip': true }); ";
          } else {
            $javascript .= " gtag('config', '" . $trackerCode . "'); ";
          }
        $javascript .= "</script>";


  

        $buffer = preg_replace("/<\/head>/", "\n\n" . $javascript . "\n\n</head>", $buffer);

        JResponse::setBody($buffer);

        return true;
    }
}
?>